ch.qos.logback.classic.net

## Class LoggingEventPreSerializationTransformer

- java.lang.Object
- - ch.qos.logback.classic.net.LoggingEventPreSerializationTransformer

All Implemented Interfaces:
  PreSerializationTransformer<ILoggingEvent>

    public class LoggingEventPreSerializationTransformer
    extends Object
    implements PreSerializationTransformer<ILoggingEvent>

### Constructor Summary

Constructors
Constructor and Description
`LoggingEventPreSerializationTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Serializable` `transform(ILoggingEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggingEventPreSerializationTransformer

    public LoggingEventPreSerializationTransformer()

### Method Detail

#### transform

    public Serializable transform(ILoggingEvent event)

Specified by:
  `transform` in interface `PreSerializationTransformer<ILoggingEvent>`